Developers
ReferenceEvents

Update an event

Update an event. Only the fields you send are changed.

PATCH
/events/{id}

Update an event. Only the fields you send are changed.

Authorization

http
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Create (POST) or update (PATCH) an event. On update every field is optional. Times are ISO 8601; they are stored in the organisation's local time.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/events/string" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "starts_at": "2019-08-24T14:15:22Z",    "ends_at": "2019-08-24T14:15:22Z"  }'
{  "id": "string",  "object": "event",  "name": "string",  "slug": "string",  "starts_at": "string",  "ends_at": "string",  "is_whole_day": true,  "sale_starts_at": "string",  "sale_ends_at": "string",  "sale_status": "not_started",  "shop_url": "string",  "location": {    "name": "string",    "address": "string",    "latitude": 0,    "longitude": 0  },  "website": "string",  "default_language": "string",  "available_languages": [    null  ],  "days": [    {      "id": "string",      "object": "event_day",      "date": "string",      "start_time": "string",      "end_time": "string",      "capacity": 0,      "is_active": true    }  ],  "created_at": "string",  "updated_at": "string"}